|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStandardItemEditorCreator Class Reference
[QtGui module]

The QStandardItemEditorCreator class provides the possibility to register widgets without having to subclass QItemEditorCreatorBase. More...

     #include <QStandardItemEditorCreator>

Inherits QItemEditorCreatorBase.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Functions

- QStandardItemEditorCreator ()

- 2 public functions inherited from QItemEditorCreatorBase

## Detailed Description

The QStandardItemEditorCreator class provides the possibility to register widgets without having to subclass QItemEditorCreatorBase.

This convenience template class makes it possible to register widgets without having to subclass QItemEditorCreatorBase.

Example:

         QItemEditorFactory *editorFactory = new QItemEditorFactory;
         QItemEditorCreatorBase *creator = new QStandardItemEditorCreator<MyFancyDateTimeEdit>();
         editorFactory->registerEditor(QVariant::DateType, creator);

Setting the `editorFactory` created above in an item delegate via QItemDelegate::setItemEditorFactory() makes sure that all values of type QVariant::DateTime will be edited in `MyFancyDateTimeEdit`.

The editor must provide a user property that will contain the editing data. The property is used by QItemDelegates to set and retrieve the data (using Qt's meta-object system). You set the user property with the USER keyword:

             Q_PROPERTY(QColor color READ color WRITE setColor USER true)

See also QItemEditorCreatorBase, QItemEditorCreator, QItemEditorFactory, QItemDelegate, and Color Editor Factory Example.

## Member Function Documentation

### QStandardItemEditorCreator::QStandardItemEditorCreator ()

Constructs an editor creator object.